<ion-item-sliding #sliding>
    <!-- Actions -->
    <ng-container *ngIf="actions">
        <ion-item-options side="end">
            <ion-item-option color="tertiary" class="item-editable edit"
                (click)="edit.emit($event); sliding.closeOpened()">
                <ion-icon name="pencil" slot="icon-only"></ion-icon>
            </ion-item-option>
            <ion-item-option color="danger" class="item-editable delete"
                (click)="delete.emit($event); sliding.closeOpened()">
                <ion-icon name="trash-outline" slot="icon-only"></ion-icon>
            </ion-item-option>
        </ion-item-options>
    </ng-container>

    <ion-item mode="md">
        <!-- Units -->
        <ion-chip class="ion-font-sm ion-font-bold ion-mr-2 ion-p-2"
            outline color="medium" style="height: 24px;">
            {{ unit }}
        </ion-chip>

        <!-- Text -->
        <ion-label color="dark" class="ion-text-wrap ion-margin-end ion-flex-fill">
            <h6 class="ion-font-bold">{{ name | length:16 }}</h6>
            <ion-text class="ion-font-sm" color="secondary">
                <p class="ion-font-sm" style="line-height: 1.5;">
                    {{ description | length:30 }}
                </p>
            </ion-text>
        </ion-label>

        <!-- Action Button and Price -->
        <div class="ion-float-right">
            <ion-button fill="clear" size="small" color="medium" (click)="sliding.open()" *ngIf="actions">
                <ion-icon name="ellipsis-vertical"></ion-icon>
            </ion-button>
            <ion-label color="dark" class="ion-font-bold ion-font-md">
                $ {{ price * unit }}
            </ion-label>
        </div>
    </ion-item>
</ion-item-sliding>